using Hotline.Settings.TimeLimitDomain;
using Shouldly;

namespace Hotline.Tests.Application;
public class ExpireTimeHandlerTest
{
    private readonly IExpireTimeHandler _expireTimeHandler;

    public ExpireTimeHandlerTest(IExpireTimeHandler expireTimeHandler)
    {
        _expireTimeHandler = expireTimeHandler;
    }

    [Theory]
    [InlineData("2024/09/04", false)]
    [InlineData("2024/09/05", false)]
    [InlineData("2024/09/06", false)]
    [InlineData("2024/09/07", true)]
    public async Task Test_GetExpireTime(string time, bool work)
    {
        var dateTime = DateTime.Parse(time);
        var result = await _expireTimeHandler.NotWorkDay(dateTime);
        result.ShouldBe(work);
    }

}
